<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>kmTimer1: X:/kmTimer1.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(initResizable);
/* @license-end */</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">kmTimer1
   </div>
   <div id="projectbrief">kmTimer1 library for AVR</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('km_timer1_8h_source.html','');});
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">X:/kmTimer1.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="km_timer1_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">This is an independent project of an individual developer. Dear PVS-Studio, please check it.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">PVS-Studio Static Code Analyzer for C, C++, C#, and Java: http://www.viva64.com</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">*/</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#ifndef KM_TIMER_1_H_</span></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="preprocessor">#define KM_TIMER_1_H_</span></div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="preprocessor">#ifdef KM_DOXYGEN</span></div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="preprocessor">#define COM1C0</span></div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* KM_DOXYGEN */</span><span class="preprocessor"></span></div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="preprocessor">#ifdef __cplusplus</span></div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span> {</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="preprocessor">#include &lt;stdbool.h&gt;</span></div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="preprocessor">#include &quot;../kmCommon/kmCommon.h&quot;</span></div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="preprocessor">#include &quot;../kmTimersCommon/kmTimerDefs.h&quot;</span></div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div><div class="line"><a name="l00050"></a><span class="lineno"><a class="line" href="km_timer1_8h.html#aef2a66c252f50bdb936e8a46f0cd1adc">   50</a></span>&#160;<span class="preprocessor">#define KM_TIMER1_USER_DATA(X) (void *)(X)</span></div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div><div class="line"><a name="l00057"></a><span class="lineno"><a class="line" href="km_timer1_8h.html#a2701e54ed55884fa3a538d9670c8b69c">   57</a></span>&#160;<span class="keyword">typedef</span> <span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#a2701e54ed55884fa3a538d9670c8b69c">kmTimer1CallbackType</a>(<span class="keywordtype">void</span> *);</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;</div><div class="line"><a name="l00064"></a><span class="lineno"><a class="line" href="km_timer1_8h.html#a59fe19630a08ffd0b8d745e03dc03dd0">   64</a></span>&#160;<span class="keyword">typedef</span> <span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#a59fe19630a08ffd0b8d745e03dc03dd0">kmTimer1InpCaptureCallbackType</a>(uint16_t, <span class="keywordtype">bool</span>, <span class="keywordtype">void</span> *);</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div><div class="line"><a name="l00069"></a><span class="lineno"><a class="line" href="km_timer1_8h.html#a9d9cdd11b5a6de5c56b0cf103c9ebdae">   69</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">enum</span> {</div><div class="line"><a name="l00071"></a><span class="lineno"><a class="line" href="km_timer1_8h.html#a9d9cdd11b5a6de5c56b0cf103c9ebdaeafee364eefb0b9ac2d24ba85b8c5a5caf">   71</a></span>&#160;    <a class="code" href="km_timer1_8h.html#a9d9cdd11b5a6de5c56b0cf103c9ebdaeafee364eefb0b9ac2d24ba85b8c5a5caf">KM_TCC1_PWM_OUT_A</a>,</div><div class="line"><a name="l00073"></a><span class="lineno"><a class="line" href="km_timer1_8h.html#a9d9cdd11b5a6de5c56b0cf103c9ebdaeaec3dbafc78de36cc03d17674aaabae8b">   73</a></span>&#160;    <a class="code" href="km_timer1_8h.html#a9d9cdd11b5a6de5c56b0cf103c9ebdaeaec3dbafc78de36cc03d17674aaabae8b">KM_TCC1_PWM_OUT_B</a>,</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;<span class="preprocessor">#ifdef COM1C0</span></div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;    <a class="code" href="km_timer1_8h.html#a9d9cdd11b5a6de5c56b0cf103c9ebdaea9ecd3e53b77959b102c4db550d1fd26c">KM_TCC1_PWM_OUT_C</a></div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* COM1C0 */</span><span class="preprocessor"></span></div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;} <a class="code" href="km_timer1_8h.html#a9d9cdd11b5a6de5c56b0cf103c9ebdae">Tcc1PwmOut</a>;</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;</div><div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#a22d0b22dd565d41eadabc0f92a2eddcd">kmTimer1InitOnPrescalerBottomToTopOvfCompABCInterruptCallback</a>(<span class="keyword">const</span> uint8_t prescaler);</div><div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;</div><div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#a1e49c5721fd397e83f48753b61f1f8c8">kmTimer1InitOnAccuratePeriodGenerateOutputClockA</a>(<span class="keyword">const</span> uint32_t periodInMicroseconds);</div><div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;</div><div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#a5edcd2f729b7420107df62dadae45078">kmTimer1InitOnAccurateTimeCompAInterruptCallback</a>(<span class="keyword">const</span> uint32_t microseconds, <span class="keyword">const</span> <span class="keywordtype">bool</span> outOnOC1A);</div><div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;</div><div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#a00ac94dfc2b43745a133fc4ac848da97">kmTimer1InitExternal</a>(<span class="keywordtype">bool</span> falling);</div><div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;</div><div class="line"><a name="l00233"></a><span class="lineno">  233</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#a2c4a34c0f9da7bbbfd785ee28f1116b0">kmTimer1InitOnAccurateTimeCompABInterruptCallback</a>(<span class="keyword">const</span> uint32_t microseconds, uint16_t phaseIntB);</div><div class="line"><a name="l00234"></a><span class="lineno">  234</span>&#160;</div><div class="line"><a name="l00283"></a><span class="lineno">  283</span>&#160;<span class="preprocessor">#ifdef COM1C0</span></div><div class="line"><a name="l00284"></a><span class="lineno">  284</span>&#160;uint16_t <a class="code" href="km_timer1_8h.html#aca152b83da38b68c2f6384cf3fe75c2a">kmTimer1InitOnAccurateTimeFastPwm</a>(<span class="keyword">const</span> uint32_t microseconds, <span class="keyword">const</span> uint16_t dutyA, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedA, <span class="keyword">const</span> uint16_t dutyB, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedB, <span class="keyword">const</span> uint16_t dutyC, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedC);</div><div class="line"><a name="l00285"></a><span class="lineno">  285</span>&#160;<span class="preprocessor">#else </span><span class="comment">/* COM1C0 */</span><span class="preprocessor"></span></div><div class="line"><a name="l00286"></a><span class="lineno">  286</span>&#160;uint16_t <a class="code" href="km_timer1_8h.html#aca152b83da38b68c2f6384cf3fe75c2a">kmTimer1InitOnAccurateTimeFastPwm</a>(<span class="keyword">const</span> uint32_t microseconds, <span class="keyword">const</span> uint16_t dutyA, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedA, <span class="keyword">const</span> uint16_t dutyB, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedB);</div><div class="line"><a name="l00287"></a><span class="lineno">  287</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* COM1C0 */</span><span class="preprocessor"></span></div><div class="line"><a name="l00288"></a><span class="lineno">  288</span>&#160;</div><div class="line"><a name="l00289"></a><span class="lineno">  289</span>&#160;</div><div class="line"><a name="l00334"></a><span class="lineno">  334</span>&#160;<span class="preprocessor">#ifdef COM1C0</span></div><div class="line"><a name="l00335"></a><span class="lineno">  335</span>&#160;uint16_t <a class="code" href="km_timer1_8h.html#a4b105ee227388dd66a34a87d9095ff8e">kmTimer1InitOnAccurateTimePcPwm</a>(<span class="keyword">const</span> uint32_t microseconds, <span class="keyword">const</span> uint16_t dutyA, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedA, <span class="keyword">const</span> uint16_t dutyB, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedB, <span class="keyword">const</span> uint16_t dutyC, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedC);</div><div class="line"><a name="l00336"></a><span class="lineno">  336</span>&#160;<span class="preprocessor">#else </span><span class="comment">/* COM1C0 */</span><span class="preprocessor"></span></div><div class="line"><a name="l00337"></a><span class="lineno">  337</span>&#160;uint16_t <a class="code" href="km_timer1_8h.html#a4b105ee227388dd66a34a87d9095ff8e">kmTimer1InitOnAccurateTimePcPwm</a>(<span class="keyword">const</span> uint32_t microseconds, <span class="keyword">const</span> uint16_t dutyA, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedA, <span class="keyword">const</span> uint16_t dutyB, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedB);</div><div class="line"><a name="l00338"></a><span class="lineno">  338</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* COM1C0 */</span><span class="preprocessor"></span></div><div class="line"><a name="l00339"></a><span class="lineno">  339</span>&#160;</div><div class="line"><a name="l00340"></a><span class="lineno">  340</span>&#160;</div><div class="line"><a name="l00382"></a><span class="lineno">  382</span>&#160;<span class="preprocessor">#ifdef COM1C0</span></div><div class="line"><a name="l00383"></a><span class="lineno">  383</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#adbf6e76bb4ddb39ab03b2cf9b0a37dea">kmTimer1InitOnPrescalerBottomToTopFastPwm</a>(<span class="keyword">const</span> uint8_t prescaler, <span class="keyword">const</span> uint16_t dutyA, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedA, <span class="keyword">const</span> uint16_t dutyB, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedB, <span class="keyword">const</span> uint16_t dutyC, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedC);</div><div class="line"><a name="l00384"></a><span class="lineno">  384</span>&#160;<span class="preprocessor">#else </span><span class="comment">/* COM1C0 */</span><span class="preprocessor"></span></div><div class="line"><a name="l00385"></a><span class="lineno">  385</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#adbf6e76bb4ddb39ab03b2cf9b0a37dea">kmTimer1InitOnPrescalerBottomToTopFastPwm</a>(<span class="keyword">const</span> uint8_t prescaler, <span class="keyword">const</span> uint16_t dutyA, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedA, <span class="keyword">const</span> uint16_t dutyB, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedB);</div><div class="line"><a name="l00386"></a><span class="lineno">  386</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* COM1C0 */</span><span class="preprocessor"></span></div><div class="line"><a name="l00387"></a><span class="lineno">  387</span>&#160;</div><div class="line"><a name="l00429"></a><span class="lineno">  429</span>&#160;<span class="preprocessor">#ifdef COM1C0</span></div><div class="line"><a name="l00430"></a><span class="lineno">  430</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#ab7f0e9e65e7ca2f8791805410aae3cd1">kmTimer1InitOnPrescalerBottomToTopPcPwm</a>(<span class="keyword">const</span> uint8_t prescaler, <span class="keyword">const</span> uint16_t dutyA, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedA, <span class="keyword">const</span> uint16_t dutyB, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedB, <span class="keyword">const</span> uint16_t dutyC, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedC);</div><div class="line"><a name="l00431"></a><span class="lineno">  431</span>&#160;<span class="preprocessor">#else </span><span class="comment">/* COM1C0 */</span><span class="preprocessor"></span></div><div class="line"><a name="l00432"></a><span class="lineno">  432</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#ab7f0e9e65e7ca2f8791805410aae3cd1">kmTimer1InitOnPrescalerBottomToTopPcPwm</a>(<span class="keyword">const</span> uint8_t prescaler, <span class="keyword">const</span> uint16_t dutyA, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedA, <span class="keyword">const</span> uint16_t dutyB, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedB);</div><div class="line"><a name="l00433"></a><span class="lineno">  433</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* COM1C0 */</span><span class="preprocessor"></span></div><div class="line"><a name="l00434"></a><span class="lineno">  434</span>&#160;</div><div class="line"><a name="l00447"></a><span class="lineno">  447</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#a8e7707918cbe77c7644f3da44f563f63">kmTimer1InitOnPrescalerBottomToTopFastPwmOCA</a>(<span class="keyword">const</span> uint8_t prescaler, <span class="keyword">const</span> uint16_t dutyA, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedA);</div><div class="line"><a name="l00448"></a><span class="lineno">  448</span>&#160;</div><div class="line"><a name="l00461"></a><span class="lineno">  461</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#a52b9703658efe17bd8e425113ba6fa45">kmTimer1InitOnPrescalerBottomToTopPcPwmOCA</a>(<span class="keyword">const</span> uint8_t prescaler, <span class="keyword">const</span> uint16_t dutyA, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedA);</div><div class="line"><a name="l00462"></a><span class="lineno">  462</span>&#160;</div><div class="line"><a name="l00477"></a><span class="lineno">  477</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#ac7ece36c61b2ebf429e65cbd8363c63c">kmTimer1InitInputCapture</a>(<span class="keyword">const</span> uint32_t iddleTimeMicroseconds,</div><div class="line"><a name="l00478"></a><span class="lineno">  478</span>&#160;                            <span class="keywordtype">void</span> *iddleUserData, <a class="code" href="km_timer1_8h.html#a2701e54ed55884fa3a538d9670c8b69c">kmTimer1CallbackType</a> *iddleCallback,</div><div class="line"><a name="l00479"></a><span class="lineno">  479</span>&#160;                            <span class="keywordtype">void</span> *inpCaptureUserData, <a class="code" href="km_timer1_8h.html#a59fe19630a08ffd0b8d745e03dc03dd0">kmTimer1InpCaptureCallbackType</a> *inpCaptureCallback);</div><div class="line"><a name="l00480"></a><span class="lineno">  480</span>&#160;</div><div class="line"><a name="l00481"></a><span class="lineno">  481</span>&#160;<span class="comment">// Setters callback user data</span></div><div class="line"><a name="l00492"></a><span class="lineno">  492</span>&#160;<span class="comment"></span><span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#a96bcbfd05361c391eb9afbac8e2a321f">kmTimer1SetCallbackUserDataOVF</a>(<span class="keywordtype">void</span> *userData);</div><div class="line"><a name="l00493"></a><span class="lineno">  493</span>&#160;</div><div class="line"><a name="l00504"></a><span class="lineno">  504</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#a403fbafab89b9126b98bc6adcfc5a806">kmTimer1SetCallbackUserDataCompA</a>(<span class="keywordtype">void</span> *userData);</div><div class="line"><a name="l00505"></a><span class="lineno">  505</span>&#160;</div><div class="line"><a name="l00516"></a><span class="lineno">  516</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#a44a59c4c7457818167e3eb7ae805d0c0">kmTimer1SetCallbackUserDataCompB</a>(<span class="keywordtype">void</span> *userData);</div><div class="line"><a name="l00517"></a><span class="lineno">  517</span>&#160;</div><div class="line"><a name="l00528"></a><span class="lineno">  528</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#a73a7fa1cf64429afcb2b44e4f55b3130">kmTimer1SetCallbackUserDataCompC</a>(<span class="keywordtype">void</span> *userData);</div><div class="line"><a name="l00529"></a><span class="lineno">  529</span>&#160;</div><div class="line"><a name="l00530"></a><span class="lineno">  530</span>&#160;</div><div class="line"><a name="l00531"></a><span class="lineno">  531</span>&#160;<span class="comment">// Registering callbacks</span></div><div class="line"><a name="l00547"></a><span class="lineno">  547</span>&#160;<span class="comment"></span></div><div class="line"><a name="l00550"></a><span class="lineno">  550</span>&#160;<span class="comment"></span><span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#ab873b4b92f06290ac8684dc9a3e2f2ec">kmTimer1RegisterCallbackOVF</a>(<span class="keywordtype">void</span> *userData, <a class="code" href="km_timer1_8h.html#a2701e54ed55884fa3a538d9670c8b69c">kmTimer1CallbackType</a> *callback);</div><div class="line"><a name="l00551"></a><span class="lineno">  551</span>&#160;</div><div class="line"><a name="l00567"></a><span class="lineno">  567</span>&#160;</div><div class="line"><a name="l00570"></a><span class="lineno">  570</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#a6d0f8559d7c69ede14dfafe0e17874bd">kmTimer1RegisterCallbackCompA</a>(<span class="keywordtype">void</span> *userData, <a class="code" href="km_timer1_8h.html#a2701e54ed55884fa3a538d9670c8b69c">kmTimer1CallbackType</a> *callback);</div><div class="line"><a name="l00571"></a><span class="lineno">  571</span>&#160;</div><div class="line"><a name="l00587"></a><span class="lineno">  587</span>&#160;</div><div class="line"><a name="l00590"></a><span class="lineno">  590</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#a607c215d862c96191ebc04ec366695c9">kmTimer1RegisterCallbackCompB</a>(<span class="keywordtype">void</span> *userData, <a class="code" href="km_timer1_8h.html#a2701e54ed55884fa3a538d9670c8b69c">kmTimer1CallbackType</a> *callback);</div><div class="line"><a name="l00591"></a><span class="lineno">  591</span>&#160;</div><div class="line"><a name="l00607"></a><span class="lineno">  607</span>&#160;</div><div class="line"><a name="l00610"></a><span class="lineno">  610</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#a5bb99678be53962979bace5c4786ab5a">kmTimer1RegisterCallbackCompC</a>(<span class="keywordtype">void</span> *userData, <a class="code" href="km_timer1_8h.html#a2701e54ed55884fa3a538d9670c8b69c">kmTimer1CallbackType</a> *callback);</div><div class="line"><a name="l00611"></a><span class="lineno">  611</span>&#160;</div><div class="line"><a name="l00614"></a><span class="lineno">  614</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#a97b81df8485e9756c7389f11e4423802">kmTimer1RegisterCallbackInpCapture</a>(<span class="keywordtype">void</span> *userData, <a class="code" href="km_timer1_8h.html#a59fe19630a08ffd0b8d745e03dc03dd0">kmTimer1InpCaptureCallbackType</a> *callback);</div><div class="line"><a name="l00615"></a><span class="lineno">  615</span>&#160;</div><div class="line"><a name="l00616"></a><span class="lineno">  616</span>&#160;<span class="comment">// Unregistering callbacks</span></div><div class="line"><a name="l00620"></a><span class="lineno">  620</span>&#160;<span class="comment"></span><span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#a791c5c2be7e815e47f01217e3f0201a1">kmTimer1UnregisterCallbackOVF</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00621"></a><span class="lineno">  621</span>&#160;</div><div class="line"><a name="l00625"></a><span class="lineno">  625</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#a33f714bd10294aa8507a1d554e3bb40f">kmTimer1UnregisterCallbackCompA</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00626"></a><span class="lineno">  626</span>&#160;</div><div class="line"><a name="l00630"></a><span class="lineno">  630</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#aaccf66404bf070267784f662ccaff7d0">kmTimer1UnregisterCallbackCompB</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00631"></a><span class="lineno">  631</span>&#160;</div><div class="line"><a name="l00635"></a><span class="lineno">  635</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#a09ae20f68414e552e91219daa6b81cf7">kmTimer1UnregisterCallbackCompC</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00636"></a><span class="lineno">  636</span>&#160;</div><div class="line"><a name="l00640"></a><span class="lineno">  640</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#a9323f5934f4ae252aa73f77795ca8195">kmTimer1UnregisterCallbackInpCapture</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00641"></a><span class="lineno">  641</span>&#160;</div><div class="line"><a name="l00642"></a><span class="lineno">  642</span>&#160;<span class="comment">// Enabling interrupts</span></div><div class="line"><a name="l00646"></a><span class="lineno">  646</span>&#160;<span class="comment"></span><span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#acad89c9d836691618ce82ef60382c41c">kmTimer1EnableInterruptOVF</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00647"></a><span class="lineno">  647</span>&#160;</div><div class="line"><a name="l00651"></a><span class="lineno">  651</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#ad56c9c3a80521eed476d99ee17b6aea8">kmTimer1EnableInterruptCompA</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00652"></a><span class="lineno">  652</span>&#160;</div><div class="line"><a name="l00656"></a><span class="lineno">  656</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#a90f349c5b8f94876cc7c44eb25443966">kmTimer1EnableInterruptCompB</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00657"></a><span class="lineno">  657</span>&#160;</div><div class="line"><a name="l00658"></a><span class="lineno">  658</span>&#160;<span class="preprocessor">#ifdef COM1C0</span></div><div class="line"><a name="l00659"></a><span class="lineno">  659</span>&#160;</div><div class="line"><a name="l00662"></a><span class="lineno">  662</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#af995a7d86f1e409b0ce58bc4c86dabb5">kmTimer1EnableInterruptCompC</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00663"></a><span class="lineno">  663</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* COM1C0 */</span><span class="preprocessor"></span></div><div class="line"><a name="l00664"></a><span class="lineno">  664</span>&#160;</div><div class="line"><a name="l00679"></a><span class="lineno">  679</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#a5bff92a2fbac87c8b21b4abdc46000f0">kmTimer1EnableInterruptInpCapture</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00680"></a><span class="lineno">  680</span>&#160;</div><div class="line"><a name="l00681"></a><span class="lineno">  681</span>&#160;<span class="comment">// Disabling interrupts</span></div><div class="line"><a name="l00685"></a><span class="lineno">  685</span>&#160;<span class="comment"></span><span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#ad2ef91b9b05fa28ecdc4c0dbbd39b15f">kmTimer1DisableInterruptsAll</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00686"></a><span class="lineno">  686</span>&#160;</div><div class="line"><a name="l00690"></a><span class="lineno">  690</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#a61c080b292c47a0fca89585f0ffed83b">kmTimer1DisableInterruptOVF</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00691"></a><span class="lineno">  691</span>&#160;</div><div class="line"><a name="l00695"></a><span class="lineno">  695</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#a1aa1f50556a618604982142b172ffd64">kmTimer1DisableInterruptCompA</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00696"></a><span class="lineno">  696</span>&#160;</div><div class="line"><a name="l00700"></a><span class="lineno">  700</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#acc1c0e45d6242dcea24032673326c395">kmTimer1DisableInterruptCompB</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00701"></a><span class="lineno">  701</span>&#160;</div><div class="line"><a name="l00705"></a><span class="lineno">  705</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#ad7b09fc348f2ce7cf782bf0316a7480d">kmTimer1DisableInterruptCompC</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00706"></a><span class="lineno">  706</span>&#160;</div><div class="line"><a name="l00721"></a><span class="lineno">  721</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#a8fc225072fd4209424105d7f66ca5526">kmTimer1SetValueOvf</a>(uint16_t value);</div><div class="line"><a name="l00722"></a><span class="lineno">  722</span>&#160;</div><div class="line"><a name="l00723"></a><span class="lineno">  723</span>&#160;<span class="comment">// Configuration of Comparator Outputs</span></div><div class="line"><a name="l00729"></a><span class="lineno">  729</span>&#160;<span class="comment"></span><span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#ab5cbf67a81dc02111c5808520a5ccb0f">kmTimer1ConfigureOCA</a>(uint8_t compareOutputMode);</div><div class="line"><a name="l00730"></a><span class="lineno">  730</span>&#160;</div><div class="line"><a name="l00736"></a><span class="lineno">  736</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#aae69590864a597473911c85fff99a61c">kmTimer1ConfigureOCB</a>(uint8_t compareOutputMode);</div><div class="line"><a name="l00737"></a><span class="lineno">  737</span>&#160;</div><div class="line"><a name="l00738"></a><span class="lineno">  738</span>&#160;<span class="preprocessor">#ifdef COM1C0</span></div><div class="line"><a name="l00739"></a><span class="lineno">  739</span>&#160;</div><div class="line"><a name="l00744"></a><span class="lineno">  744</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#a87d5680fc1ebc624c90ed84121959211">kmTimer1ConfigureOCC</a>(uint8_t compareOutputMode);</div><div class="line"><a name="l00745"></a><span class="lineno">  745</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* COM1C0 */</span><span class="preprocessor"></span></div><div class="line"><a name="l00746"></a><span class="lineno">  746</span>&#160;</div><div class="line"><a name="l00747"></a><span class="lineno">  747</span>&#160;<span class="comment">// Controlling timer flow</span></div><div class="line"><a name="l00751"></a><span class="lineno">  751</span>&#160;<span class="comment"></span><span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#a6a2ca82d50b313d21675e4f986157651">kmTimer1Start</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00752"></a><span class="lineno">  752</span>&#160;</div><div class="line"><a name="l00756"></a><span class="lineno">  756</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#ac3d7925685129337f1ac7bfcc91c88d0">kmTimer1Stop</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00757"></a><span class="lineno">  757</span>&#160;</div><div class="line"><a name="l00761"></a><span class="lineno">  761</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#a3e7a5d8ba15085a19e019c7b94be0bea">kmTimer1Restart</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00762"></a><span class="lineno">  762</span>&#160;</div><div class="line"><a name="l00763"></a><span class="lineno">  763</span>&#160;<span class="comment">// Controlling PWM</span></div><div class="line"><a name="l00771"></a><span class="lineno">  771</span>&#160;<span class="comment"></span><span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#a659a72a778355888434562e1a2143156">kmTimer1SetPwmDutyBottomToTop</a>(<a class="code" href="km_timer1_8h.html#a9d9cdd11b5a6de5c56b0cf103c9ebdae">Tcc1PwmOut</a> pwmOut, uint16_t duty);</div><div class="line"><a name="l00780"></a><span class="lineno">  780</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#ade43b9567868f12bda3f2a2ac88e42c9">kmTimer1SetPwmDutyAccurateTimeModes</a>(uint16_t duty);</div><div class="line"><a name="l00781"></a><span class="lineno">  781</span>&#160;</div><div class="line"><a name="l00787"></a><span class="lineno">  787</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#ae6a6dafde75f3f4efe2e876b77fa8f36">kmTimer1SetPwmInversion</a>(<a class="code" href="km_timer1_8h.html#a9d9cdd11b5a6de5c56b0cf103c9ebdae">Tcc1PwmOut</a> pwmOut, <span class="keywordtype">bool</span> inverted);</div><div class="line"><a name="l00788"></a><span class="lineno">  788</span>&#160;</div><div class="line"><a name="l00789"></a><span class="lineno">  789</span>&#160;<span class="comment">// Timer flow calculations</span></div><div class="line"><a name="l00800"></a><span class="lineno">  800</span>&#160;<span class="comment"></span>uint16_t <a class="code" href="km_timer1_8h.html#a638997cdd3e81a1a18d984f48c1d8a46">kmTimer1CalcPerdiod</a>(<span class="keyword">const</span> uint32_t microseconds, uint8_t *prescaler);</div><div class="line"><a name="l00801"></a><span class="lineno">  801</span>&#160;</div><div class="line"><a name="l00815"></a><span class="lineno">  815</span>&#160;uint16_t <a class="code" href="km_timer1_8h.html#a4614237ba09be7b57772c3b63b3a0eb4">kmTimer1CalcPerdiodWithMinPwmAccuracy</a>(<span class="keyword">const</span> uint32_t microseconds, uint8_t *prescaler, <span class="keyword">const</span> uint16_t minimumCycleAcuracy);</div><div class="line"><a name="l00816"></a><span class="lineno">  816</span>&#160;</div><div class="line"><a name="l00824"></a><span class="lineno">  824</span>&#160;uint16_t <a class="code" href="km_timer1_8h.html#a84ea5ee91f675175c001a93bc45b62b3">kmTimer1CalcDutyOnCycles</a>(uint16_t duty, uint16_t cyclesRange);</div><div class="line"><a name="l00825"></a><span class="lineno">  825</span>&#160;</div><div class="line"><a name="l00826"></a><span class="lineno">  826</span>&#160;</div><div class="line"><a name="l00840"></a><span class="lineno">  840</span>&#160;uint16_t <a class="code" href="km_timer1_8h.html#a6cbd02ea92c99ee321de0b43ff6b2ef0">kmTimer1GetValueOvf</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00841"></a><span class="lineno">  841</span>&#160;</div><div class="line"><a name="l00855"></a><span class="lineno">  855</span>&#160;uint16_t <a class="code" href="km_timer1_8h.html#a9e380030eb6109955c05331e5717ed44">kmTimer1GetValueCompA</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00856"></a><span class="lineno">  856</span>&#160;</div><div class="line"><a name="l00870"></a><span class="lineno">  870</span>&#160;uint16_t <a class="code" href="km_timer1_8h.html#a2d27468eb8950efeaf45dd636eacd5cf">kmTimer1GetValueCompB</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00871"></a><span class="lineno">  871</span>&#160;</div><div class="line"><a name="l00885"></a><span class="lineno">  885</span>&#160;uint16_t <a class="code" href="km_timer1_8h.html#a76e65e03cb7a1b2ce94c9fcb25fc7015">kmTimer1GetValueCompC</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00886"></a><span class="lineno">  886</span>&#160;</div><div class="line"><a name="l00901"></a><span class="lineno">  901</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#a8fc225072fd4209424105d7f66ca5526">kmTimer1SetValueOvf</a>(uint16_t value);</div><div class="line"><a name="l00902"></a><span class="lineno">  902</span>&#160;</div><div class="line"><a name="l00916"></a><span class="lineno">  916</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#a2568bb7a7766e192a3425ae93145f4f0">kmTimer1SetValueCompA</a>(uint16_t value);</div><div class="line"><a name="l00917"></a><span class="lineno">  917</span>&#160;</div><div class="line"><a name="l00931"></a><span class="lineno">  931</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#acb1a2cab941f521b48793f5e544a30ff">kmTimer1SetValueCompB</a>(uint16_t value);</div><div class="line"><a name="l00932"></a><span class="lineno">  932</span>&#160;</div><div class="line"><a name="l00933"></a><span class="lineno">  933</span>&#160;<span class="preprocessor">#ifdef COM1C0</span></div><div class="line"><a name="l00934"></a><span class="lineno">  934</span>&#160;</div><div class="line"><a name="l00947"></a><span class="lineno">  947</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#a62ecf23ea36e66b9b83a81d5786ae966">kmTimer1SetValueCompC</a>(uint16_t value);</div><div class="line"><a name="l00948"></a><span class="lineno">  948</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* COM1C0 */</span><span class="preprocessor"></span></div><div class="line"><a name="l00949"></a><span class="lineno">  949</span>&#160;</div><div class="line"><a name="l00970"></a><span class="lineno">  970</span>&#160;<span class="keywordtype">bool</span> <a class="code" href="km_timer1_8h.html#a3b1a8f12ebc174fef40ba961583bd3f1">kmTimer1InpCaputureGetState</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00971"></a><span class="lineno">  971</span>&#160;</div><div class="line"><a name="l00985"></a><span class="lineno">  985</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#ab224e79dc11b32b495bef9f1f169d2d4">kmTimer1Init</a>(<span class="keyword">const</span> uint8_t prescaler, <span class="keyword">const</span> uint8_t modeA, <span class="keyword">const</span> uint8_t modeB);</div><div class="line"><a name="l00986"></a><span class="lineno">  986</span>&#160;</div><div class="line"><a name="l00992"></a><span class="lineno">  992</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#a6a2ca82d50b313d21675e4f986157651">kmTimer1Start</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00993"></a><span class="lineno">  993</span>&#160;</div><div class="line"><a name="l00999"></a><span class="lineno">  999</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#ac3d7925685129337f1ac7bfcc91c88d0">kmTimer1Stop</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l01000"></a><span class="lineno"> 1000</span>&#160;</div><div class="line"><a name="l01006"></a><span class="lineno"> 1006</span>&#160;<span class="keywordtype">void</span> <a class="code" href="km_timer1_8h.html#a3e7a5d8ba15085a19e019c7b94be0bea">kmTimer1Restart</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l01007"></a><span class="lineno"> 1007</span>&#160;</div><div class="line"><a name="l01008"></a><span class="lineno"> 1008</span>&#160;<span class="preprocessor">#ifdef __cplusplus</span></div><div class="line"><a name="l01009"></a><span class="lineno"> 1009</span>&#160;}</div><div class="line"><a name="l01010"></a><span class="lineno"> 1010</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/*  __cplusplus */</span><span class="preprocessor"></span></div><div class="line"><a name="l01011"></a><span class="lineno"> 1011</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* KM_TIMER_1_H_ */</span><span class="preprocessor"></span></div><div class="ttc" id="km_timer1_8h_html_a2d27468eb8950efeaf45dd636eacd5cf"><div class="ttname"><a href="km_timer1_8h.html#a2d27468eb8950efeaf45dd636eacd5cf">kmTimer1GetValueCompB</a></div><div class="ttdeci">uint16_t kmTimer1GetValueCompB(void)</div><div class="ttdoc">Retrieves the current value of Timer/Counter 1 Compare B.</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:480</div></div>
<div class="ttc" id="km_timer1_8h_html_a3b1a8f12ebc174fef40ba961583bd3f1"><div class="ttname"><a href="km_timer1_8h.html#a3b1a8f12ebc174fef40ba961583bd3f1">kmTimer1InpCaputureGetState</a></div><div class="ttdeci">bool kmTimer1InpCaputureGetState(void)</div><div class="ttdoc">Gets the state of Timer/Counter 1 Input Capture pin.</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:629</div></div>
<div class="ttc" id="km_timer1_8h_html_a5bff92a2fbac87c8b21b4abdc46000f0"><div class="ttname"><a href="km_timer1_8h.html#a5bff92a2fbac87c8b21b4abdc46000f0">kmTimer1EnableInterruptInpCapture</a></div><div class="ttdeci">void kmTimer1EnableInterruptInpCapture(void)</div><div class="ttdoc">Enables Timer/Counter 1 Input Capture Interrupt.</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:514</div></div>
<div class="ttc" id="km_timer1_8h_html_a4b105ee227388dd66a34a87d9095ff8e"><div class="ttname"><a href="km_timer1_8h.html#a4b105ee227388dd66a34a87d9095ff8e">kmTimer1InitOnAccurateTimePcPwm</a></div><div class="ttdeci">uint16_t kmTimer1InitOnAccurateTimePcPwm(const uint32_t microseconds, const uint16_t dutyA, const bool invertedA, const uint16_t dutyB, const bool invertedB, const uint16_t dutyC, const bool invertedC)</div></div>
<div class="ttc" id="km_timer1_8h_html_a90f349c5b8f94876cc7c44eb25443966"><div class="ttname"><a href="km_timer1_8h.html#a90f349c5b8f94876cc7c44eb25443966">kmTimer1EnableInterruptCompB</a></div><div class="ttdeci">void kmTimer1EnableInterruptCompB(void)</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:500</div></div>
<div class="ttc" id="km_timer1_8h_html_a6a2ca82d50b313d21675e4f986157651"><div class="ttname"><a href="km_timer1_8h.html#a6a2ca82d50b313d21675e4f986157651">kmTimer1Start</a></div><div class="ttdeci">void kmTimer1Start(void)</div><div class="ttdoc">Starts Timer 1 with the previously configured prescaler.</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:398</div></div>
<div class="ttc" id="km_timer1_8h_html_af995a7d86f1e409b0ce58bc4c86dabb5"><div class="ttname"><a href="km_timer1_8h.html#af995a7d86f1e409b0ce58bc4c86dabb5">kmTimer1EnableInterruptCompC</a></div><div class="ttdeci">void kmTimer1EnableInterruptCompC(void)</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:505</div></div>
<div class="ttc" id="km_timer1_8h_html_adbf6e76bb4ddb39ab03b2cf9b0a37dea"><div class="ttname"><a href="km_timer1_8h.html#adbf6e76bb4ddb39ab03b2cf9b0a37dea">kmTimer1InitOnPrescalerBottomToTopFastPwm</a></div><div class="ttdeci">void kmTimer1InitOnPrescalerBottomToTopFastPwm(const uint8_t prescaler, const uint16_t dutyA, const bool invertedA, const uint16_t dutyB, const bool invertedB, const uint16_t dutyC, const bool invertedC)</div></div>
<div class="ttc" id="km_timer1_8h_html_a2568bb7a7766e192a3425ae93145f4f0"><div class="ttname"><a href="km_timer1_8h.html#a2568bb7a7766e192a3425ae93145f4f0">kmTimer1SetValueCompA</a></div><div class="ttdeci">void kmTimer1SetValueCompA(uint16_t value)</div><div class="ttdoc">Sets the value for Timer/Counter 1 Compare A.</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:458</div></div>
<div class="ttc" id="km_timer1_8h_html_a9d9cdd11b5a6de5c56b0cf103c9ebdae"><div class="ttname"><a href="km_timer1_8h.html#a9d9cdd11b5a6de5c56b0cf103c9ebdae">Tcc1PwmOut</a></div><div class="ttdeci">Tcc1PwmOut</div><div class="ttdef"><b>Definition:</b> kmTimer1.h:69</div></div>
<div class="ttc" id="km_timer1_8h_html_a6cbd02ea92c99ee321de0b43ff6b2ef0"><div class="ttname"><a href="km_timer1_8h.html#a6cbd02ea92c99ee321de0b43ff6b2ef0">kmTimer1GetValueOvf</a></div><div class="ttdeci">uint16_t kmTimer1GetValueOvf(void)</div><div class="ttdoc">Retrieves the current value of Timer/Counter 1 Overflow.</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:472</div></div>
<div class="ttc" id="km_timer1_8h_html_a59fe19630a08ffd0b8d745e03dc03dd0"><div class="ttname"><a href="km_timer1_8h.html#a59fe19630a08ffd0b8d745e03dc03dd0">kmTimer1InpCaptureCallbackType</a></div><div class="ttdeci">void kmTimer1InpCaptureCallbackType(uint16_t, bool, void *)</div><div class="ttdef"><b>Definition:</b> kmTimer1.h:64</div></div>
<div class="ttc" id="km_timer1_8h_html_ad2ef91b9b05fa28ecdc4c0dbbd39b15f"><div class="ttname"><a href="km_timer1_8h.html#ad2ef91b9b05fa28ecdc4c0dbbd39b15f">kmTimer1DisableInterruptsAll</a></div><div class="ttdeci">void kmTimer1DisableInterruptsAll(void)</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:540</div></div>
<div class="ttc" id="km_timer1_8h_html_a5edcd2f729b7420107df62dadae45078"><div class="ttname"><a href="km_timer1_8h.html#a5edcd2f729b7420107df62dadae45078">kmTimer1InitOnAccurateTimeCompAInterruptCallback</a></div><div class="ttdeci">void kmTimer1InitOnAccurateTimeCompAInterruptCallback(const uint32_t microseconds, const bool outOnOC1A)</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:112</div></div>
<div class="ttc" id="km_timer1_8h_html_a791c5c2be7e815e47f01217e3f0201a1"><div class="ttname"><a href="km_timer1_8h.html#a791c5c2be7e815e47f01217e3f0201a1">kmTimer1UnregisterCallbackOVF</a></div><div class="ttdeci">void kmTimer1UnregisterCallbackOVF(void)</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:589</div></div>
<div class="ttc" id="km_timer1_8h_html_a22d0b22dd565d41eadabc0f92a2eddcd"><div class="ttname"><a href="km_timer1_8h.html#a22d0b22dd565d41eadabc0f92a2eddcd">kmTimer1InitOnPrescalerBottomToTopOvfCompABCInterruptCallback</a></div><div class="ttdeci">void kmTimer1InitOnPrescalerBottomToTopOvfCompABCInterruptCallback(const uint8_t prescaler)</div><div class="ttdoc">Initializes Timer 1 in a mode allowing the use of CompA, CompB, CompC, and Overflow Interrupts launch...</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:104</div></div>
<div class="ttc" id="km_timer1_8h_html_a638997cdd3e81a1a18d984f48c1d8a46"><div class="ttname"><a href="km_timer1_8h.html#a638997cdd3e81a1a18d984f48c1d8a46">kmTimer1CalcPerdiod</a></div><div class="ttdeci">uint16_t kmTimer1CalcPerdiod(const uint32_t microseconds, uint8_t *prescaler)</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:327</div></div>
<div class="ttc" id="km_timer1_8h_html_a09ae20f68414e552e91219daa6b81cf7"><div class="ttname"><a href="km_timer1_8h.html#a09ae20f68414e552e91219daa6b81cf7">kmTimer1UnregisterCallbackCompC</a></div><div class="ttdeci">void kmTimer1UnregisterCallbackCompC(void)</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:584</div></div>
<div class="ttc" id="km_timer1_8h_html_a1e49c5721fd397e83f48753b61f1f8c8"><div class="ttname"><a href="km_timer1_8h.html#a1e49c5721fd397e83f48753b61f1f8c8">kmTimer1InitOnAccuratePeriodGenerateOutputClockA</a></div><div class="ttdeci">void kmTimer1InitOnAccuratePeriodGenerateOutputClockA(const uint32_t periodInMicroseconds)</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:108</div></div>
<div class="ttc" id="km_timer1_8h_html_ae6a6dafde75f3f4efe2e876b77fa8f36"><div class="ttname"><a href="km_timer1_8h.html#ae6a6dafde75f3f4efe2e876b77fa8f36">kmTimer1SetPwmInversion</a></div><div class="ttdeci">void kmTimer1SetPwmInversion(Tcc1PwmOut pwmOut, bool inverted)</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:364</div></div>
<div class="ttc" id="km_timer1_8h_html_a9323f5934f4ae252aa73f77795ca8195"><div class="ttname"><a href="km_timer1_8h.html#a9323f5934f4ae252aa73f77795ca8195">kmTimer1UnregisterCallbackInpCapture</a></div><div class="ttdeci">void kmTimer1UnregisterCallbackInpCapture(void)</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:593</div></div>
<div class="ttc" id="km_timer1_8h_html_a8fc225072fd4209424105d7f66ca5526"><div class="ttname"><a href="km_timer1_8h.html#a8fc225072fd4209424105d7f66ca5526">kmTimer1SetValueOvf</a></div><div class="ttdeci">void kmTimer1SetValueOvf(uint16_t value)</div><div class="ttdoc">Sets the value for Timer/Counter 1 Overflow.</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:454</div></div>
<div class="ttc" id="km_timer1_8h_html_a9e380030eb6109955c05331e5717ed44"><div class="ttname"><a href="km_timer1_8h.html#a9e380030eb6109955c05331e5717ed44">kmTimer1GetValueCompA</a></div><div class="ttdeci">uint16_t kmTimer1GetValueCompA(void)</div><div class="ttdoc">Retrieves the current value of Timer/Counter 1 Compare A.</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:476</div></div>
<div class="ttc" id="km_timer1_8h_html_aae69590864a597473911c85fff99a61c"><div class="ttname"><a href="km_timer1_8h.html#aae69590864a597473911c85fff99a61c">kmTimer1ConfigureOCB</a></div><div class="ttdeci">void kmTimer1ConfigureOCB(uint8_t compareOutputMode)</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:426</div></div>
<div class="ttc" id="km_timer1_8h_html_a33f714bd10294aa8507a1d554e3bb40f"><div class="ttname"><a href="km_timer1_8h.html#a33f714bd10294aa8507a1d554e3bb40f">kmTimer1UnregisterCallbackCompA</a></div><div class="ttdeci">void kmTimer1UnregisterCallbackCompA(void)</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:575</div></div>
<div class="ttc" id="km_timer1_8h_html_ab873b4b92f06290ac8684dc9a3e2f2ec"><div class="ttname"><a href="km_timer1_8h.html#ab873b4b92f06290ac8684dc9a3e2f2ec">kmTimer1RegisterCallbackOVF</a></div><div class="ttdeci">void kmTimer1RegisterCallbackOVF(void *userData, kmTimer1CallbackType *callback)</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:565</div></div>
<div class="ttc" id="km_timer1_8h_html_acad89c9d836691618ce82ef60382c41c"><div class="ttname"><a href="km_timer1_8h.html#acad89c9d836691618ce82ef60382c41c">kmTimer1EnableInterruptOVF</a></div><div class="ttdeci">void kmTimer1EnableInterruptOVF(void)</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:510</div></div>
<div class="ttc" id="km_timer1_8h_html_a8e7707918cbe77c7644f3da44f563f63"><div class="ttname"><a href="km_timer1_8h.html#a8e7707918cbe77c7644f3da44f563f63">kmTimer1InitOnPrescalerBottomToTopFastPwmOCA</a></div><div class="ttdeci">void kmTimer1InitOnPrescalerBottomToTopFastPwmOCA(const uint8_t prescaler, const uint16_t dutyA, const bool invertedA)</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:127</div></div>
<div class="ttc" id="km_timer1_8h_html_a96bcbfd05361c391eb9afbac8e2a321f"><div class="ttname"><a href="km_timer1_8h.html#a96bcbfd05361c391eb9afbac8e2a321f">kmTimer1SetCallbackUserDataOVF</a></div><div class="ttdeci">void kmTimer1SetCallbackUserDataOVF(void *userData)</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:597</div></div>
<div class="ttc" id="km_timer1_8h_html_a4614237ba09be7b57772c3b63b3a0eb4"><div class="ttname"><a href="km_timer1_8h.html#a4614237ba09be7b57772c3b63b3a0eb4">kmTimer1CalcPerdiodWithMinPwmAccuracy</a></div><div class="ttdeci">uint16_t kmTimer1CalcPerdiodWithMinPwmAccuracy(const uint32_t microseconds, uint8_t *prescaler, const uint16_t minimumCycleAcuracy)</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:354</div></div>
<div class="ttc" id="km_timer1_8h_html_a659a72a778355888434562e1a2143156"><div class="ttname"><a href="km_timer1_8h.html#a659a72a778355888434562e1a2143156">kmTimer1SetPwmDutyBottomToTop</a></div><div class="ttdeci">void kmTimer1SetPwmDutyBottomToTop(Tcc1PwmOut pwmOut, uint16_t duty)</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:307</div></div>
<div class="ttc" id="km_timer1_8h_html_a61c080b292c47a0fca89585f0ffed83b"><div class="ttname"><a href="km_timer1_8h.html#a61c080b292c47a0fca89585f0ffed83b">kmTimer1DisableInterruptOVF</a></div><div class="ttdeci">void kmTimer1DisableInterruptOVF(void)</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:532</div></div>
<div class="ttc" id="km_timer1_8h_html_ad56c9c3a80521eed476d99ee17b6aea8"><div class="ttname"><a href="km_timer1_8h.html#ad56c9c3a80521eed476d99ee17b6aea8">kmTimer1EnableInterruptCompA</a></div><div class="ttdeci">void kmTimer1EnableInterruptCompA(void)</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:496</div></div>
<div class="ttc" id="km_timer1_8h_html_a00ac94dfc2b43745a133fc4ac848da97"><div class="ttname"><a href="km_timer1_8h.html#a00ac94dfc2b43745a133fc4ac848da97">kmTimer1InitExternal</a></div><div class="ttdeci">void kmTimer1InitExternal(bool falling)</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:274</div></div>
<div class="ttc" id="km_timer1_8h_html_a76e65e03cb7a1b2ce94c9fcb25fc7015"><div class="ttname"><a href="km_timer1_8h.html#a76e65e03cb7a1b2ce94c9fcb25fc7015">kmTimer1GetValueCompC</a></div><div class="ttdeci">uint16_t kmTimer1GetValueCompC(void)</div><div class="ttdoc">Retrieves the current value of Timer/Counter 1 Compare C.</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:486</div></div>
<div class="ttc" id="km_timer1_8h_html_a6d0f8559d7c69ede14dfafe0e17874bd"><div class="ttname"><a href="km_timer1_8h.html#a6d0f8559d7c69ede14dfafe0e17874bd">kmTimer1RegisterCallbackCompA</a></div><div class="ttdeci">void kmTimer1RegisterCallbackCompA(void *userData, kmTimer1CallbackType *callback)</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:548</div></div>
<div class="ttc" id="km_timer1_8h_html_a5bb99678be53962979bace5c4786ab5a"><div class="ttname"><a href="km_timer1_8h.html#a5bb99678be53962979bace5c4786ab5a">kmTimer1RegisterCallbackCompC</a></div><div class="ttdeci">void kmTimer1RegisterCallbackCompC(void *userData, kmTimer1CallbackType *callback)</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:559</div></div>
<div class="ttc" id="km_timer1_8h_html_ac7ece36c61b2ebf429e65cbd8363c63c"><div class="ttname"><a href="km_timer1_8h.html#ac7ece36c61b2ebf429e65cbd8363c63c">kmTimer1InitInputCapture</a></div><div class="ttdeci">void kmTimer1InitInputCapture(const uint32_t iddleTimeMicroseconds, void *iddleUserData, kmTimer1CallbackType *iddleCallback, void *inpCaptureUserData, kmTimer1InpCaptureCallbackType *inpCaptureCallback)</div><div class="ttdoc">Initializes Timer/Counter 1 for input capture with specified parameters.</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:282</div></div>
<div class="ttc" id="km_timer1_8h_html_a9d9cdd11b5a6de5c56b0cf103c9ebdaeaec3dbafc78de36cc03d17674aaabae8b"><div class="ttname"><a href="km_timer1_8h.html#a9d9cdd11b5a6de5c56b0cf103c9ebdaeaec3dbafc78de36cc03d17674aaabae8b">KM_TCC1_PWM_OUT_B</a></div><div class="ttdoc">PWM on output B.</div><div class="ttdef"><b>Definition:</b> kmTimer1.h:73</div></div>
<div class="ttc" id="km_timer1_8h_html_acc1c0e45d6242dcea24032673326c395"><div class="ttname"><a href="km_timer1_8h.html#acc1c0e45d6242dcea24032673326c395">kmTimer1DisableInterruptCompB</a></div><div class="ttdeci">void kmTimer1DisableInterruptCompB(void)</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:522</div></div>
<div class="ttc" id="km_timer1_8h_html_a403fbafab89b9126b98bc6adcfc5a806"><div class="ttname"><a href="km_timer1_8h.html#a403fbafab89b9126b98bc6adcfc5a806">kmTimer1SetCallbackUserDataCompA</a></div><div class="ttdeci">void kmTimer1SetCallbackUserDataCompA(void *userData)</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:609</div></div>
<div class="ttc" id="km_timer1_8h_html_a84ea5ee91f675175c001a93bc45b62b3"><div class="ttname"><a href="km_timer1_8h.html#a84ea5ee91f675175c001a93bc45b62b3">kmTimer1CalcDutyOnCycles</a></div><div class="ttdeci">uint16_t kmTimer1CalcDutyOnCycles(uint16_t duty, uint16_t cyclesRange)</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:298</div></div>
<div class="ttc" id="km_timer1_8h_html_ad7b09fc348f2ce7cf782bf0316a7480d"><div class="ttname"><a href="km_timer1_8h.html#ad7b09fc348f2ce7cf782bf0316a7480d">kmTimer1DisableInterruptCompC</a></div><div class="ttdeci">void kmTimer1DisableInterruptCompC(void)</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:527</div></div>
<div class="ttc" id="km_timer1_8h_html_a9d9cdd11b5a6de5c56b0cf103c9ebdaea9ecd3e53b77959b102c4db550d1fd26c"><div class="ttname"><a href="km_timer1_8h.html#a9d9cdd11b5a6de5c56b0cf103c9ebdaea9ecd3e53b77959b102c4db550d1fd26c">KM_TCC1_PWM_OUT_C</a></div><div class="ttdoc">PWM on output C.</div><div class="ttdef"><b>Definition:</b> kmTimer1.h:76</div></div>
<div class="ttc" id="km_timer1_8h_html_ab5cbf67a81dc02111c5808520a5ccb0f"><div class="ttname"><a href="km_timer1_8h.html#ab5cbf67a81dc02111c5808520a5ccb0f">kmTimer1ConfigureOCA</a></div><div class="ttdeci">void kmTimer1ConfigureOCA(uint8_t compareOutputMode)</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:412</div></div>
<div class="ttc" id="km_timer1_8h_html_ade43b9567868f12bda3f2a2ac88e42c9"><div class="ttname"><a href="km_timer1_8h.html#ade43b9567868f12bda3f2a2ac88e42c9">kmTimer1SetPwmDutyAccurateTimeModes</a></div><div class="ttdeci">void kmTimer1SetPwmDutyAccurateTimeModes(uint16_t duty)</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:303</div></div>
<div class="ttc" id="km_timer1_8h_html_a2701e54ed55884fa3a538d9670c8b69c"><div class="ttname"><a href="km_timer1_8h.html#a2701e54ed55884fa3a538d9670c8b69c">kmTimer1CallbackType</a></div><div class="ttdeci">void kmTimer1CallbackType(void *)</div><div class="ttdef"><b>Definition:</b> kmTimer1.h:57</div></div>
<div class="ttc" id="km_timer1_8h_html_ab7f0e9e65e7ca2f8791805410aae3cd1"><div class="ttname"><a href="km_timer1_8h.html#ab7f0e9e65e7ca2f8791805410aae3cd1">kmTimer1InitOnPrescalerBottomToTopPcPwm</a></div><div class="ttdeci">void kmTimer1InitOnPrescalerBottomToTopPcPwm(const uint8_t prescaler, const uint16_t dutyA, const bool invertedA, const uint16_t dutyB, const bool invertedB, const uint16_t dutyC, const bool invertedC)</div></div>
<div class="ttc" id="km_timer1_8h_html_a87d5680fc1ebc624c90ed84121959211"><div class="ttname"><a href="km_timer1_8h.html#a87d5680fc1ebc624c90ed84121959211">kmTimer1ConfigureOCC</a></div><div class="ttdeci">void kmTimer1ConfigureOCC(uint8_t compareOutputMode)</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:440</div></div>
<div class="ttc" id="km_timer1_8h_html_a62ecf23ea36e66b9b83a81d5786ae966"><div class="ttname"><a href="km_timer1_8h.html#a62ecf23ea36e66b9b83a81d5786ae966">kmTimer1SetValueCompC</a></div><div class="ttdeci">void kmTimer1SetValueCompC(uint16_t value)</div><div class="ttdoc">Sets the value for Timer/Counter 1 Compare C.</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:467</div></div>
<div class="ttc" id="km_timer1_8h_html_a44a59c4c7457818167e3eb7ae805d0c0"><div class="ttname"><a href="km_timer1_8h.html#a44a59c4c7457818167e3eb7ae805d0c0">kmTimer1SetCallbackUserDataCompB</a></div><div class="ttdeci">void kmTimer1SetCallbackUserDataCompB(void *userData)</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:615</div></div>
<div class="ttc" id="km_timer1_8h_html_a97b81df8485e9756c7389f11e4423802"><div class="ttname"><a href="km_timer1_8h.html#a97b81df8485e9756c7389f11e4423802">kmTimer1RegisterCallbackInpCapture</a></div><div class="ttdeci">void kmTimer1RegisterCallbackInpCapture(void *userData, kmTimer1InpCaptureCallbackType *callback)</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:570</div></div>
<div class="ttc" id="km_timer1_8h_html_a3e7a5d8ba15085a19e019c7b94be0bea"><div class="ttname"><a href="km_timer1_8h.html#a3e7a5d8ba15085a19e019c7b94be0bea">kmTimer1Restart</a></div><div class="ttdeci">void kmTimer1Restart(void)</div><div class="ttdoc">Restarts Timer 4 by resetting its counter value to zero.</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:406</div></div>
<div class="ttc" id="km_timer1_8h_html_a73a7fa1cf64429afcb2b44e4f55b3130"><div class="ttname"><a href="km_timer1_8h.html#a73a7fa1cf64429afcb2b44e4f55b3130">kmTimer1SetCallbackUserDataCompC</a></div><div class="ttdeci">void kmTimer1SetCallbackUserDataCompC(void *userData)</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:622</div></div>
<div class="ttc" id="km_timer1_8h_html_a2c4a34c0f9da7bbbfd785ee28f1116b0"><div class="ttname"><a href="km_timer1_8h.html#a2c4a34c0f9da7bbbfd785ee28f1116b0">kmTimer1InitOnAccurateTimeCompABInterruptCallback</a></div><div class="ttdeci">void kmTimer1InitOnAccurateTimeCompABInterruptCallback(const uint32_t microseconds, uint16_t phaseIntB)</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:119</div></div>
<div class="ttc" id="km_timer1_8h_html_acb1a2cab941f521b48793f5e544a30ff"><div class="ttname"><a href="km_timer1_8h.html#acb1a2cab941f521b48793f5e544a30ff">kmTimer1SetValueCompB</a></div><div class="ttdeci">void kmTimer1SetValueCompB(uint16_t value)</div><div class="ttdoc">Sets the value for Timer/Counter 1 Compare B.</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:462</div></div>
<div class="ttc" id="km_timer1_8h_html_a1aa1f50556a618604982142b172ffd64"><div class="ttname"><a href="km_timer1_8h.html#a1aa1f50556a618604982142b172ffd64">kmTimer1DisableInterruptCompA</a></div><div class="ttdeci">void kmTimer1DisableInterruptCompA(void)</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:518</div></div>
<div class="ttc" id="km_timer1_8h_html_aaccf66404bf070267784f662ccaff7d0"><div class="ttname"><a href="km_timer1_8h.html#aaccf66404bf070267784f662ccaff7d0">kmTimer1UnregisterCallbackCompB</a></div><div class="ttdeci">void kmTimer1UnregisterCallbackCompB(void)</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:579</div></div>
<div class="ttc" id="km_timer1_8h_html_aca152b83da38b68c2f6384cf3fe75c2a"><div class="ttname"><a href="km_timer1_8h.html#aca152b83da38b68c2f6384cf3fe75c2a">kmTimer1InitOnAccurateTimeFastPwm</a></div><div class="ttdeci">uint16_t kmTimer1InitOnAccurateTimeFastPwm(const uint32_t microseconds, const uint16_t dutyA, const bool invertedA, const uint16_t dutyB, const bool invertedB, const uint16_t dutyC, const bool invertedC)</div></div>
<div class="ttc" id="km_timer1_8h_html_a607c215d862c96191ebc04ec366695c9"><div class="ttname"><a href="km_timer1_8h.html#a607c215d862c96191ebc04ec366695c9">kmTimer1RegisterCallbackCompB</a></div><div class="ttdeci">void kmTimer1RegisterCallbackCompB(void *userData, kmTimer1CallbackType *callback)</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:553</div></div>
<div class="ttc" id="km_timer1_8h_html_a52b9703658efe17bd8e425113ba6fa45"><div class="ttname"><a href="km_timer1_8h.html#a52b9703658efe17bd8e425113ba6fa45">kmTimer1InitOnPrescalerBottomToTopPcPwmOCA</a></div><div class="ttdeci">void kmTimer1InitOnPrescalerBottomToTopPcPwmOCA(const uint8_t prescaler, const uint16_t dutyA, const bool invertedA)</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:202</div></div>
<div class="ttc" id="km_timer1_8h_html_ac3d7925685129337f1ac7bfcc91c88d0"><div class="ttname"><a href="km_timer1_8h.html#ac3d7925685129337f1ac7bfcc91c88d0">kmTimer1Stop</a></div><div class="ttdeci">void kmTimer1Stop(void)</div><div class="ttdoc">Stops Timer 1.</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:402</div></div>
<div class="ttc" id="km_timer1_8h_html_a9d9cdd11b5a6de5c56b0cf103c9ebdaeafee364eefb0b9ac2d24ba85b8c5a5caf"><div class="ttname"><a href="km_timer1_8h.html#a9d9cdd11b5a6de5c56b0cf103c9ebdaeafee364eefb0b9ac2d24ba85b8c5a5caf">KM_TCC1_PWM_OUT_A</a></div><div class="ttdoc">PWM on output A.</div><div class="ttdef"><b>Definition:</b> kmTimer1.h:71</div></div>
<div class="ttc" id="km_timer1_8h_html_ab224e79dc11b32b495bef9f1f169d2d4"><div class="ttname"><a href="km_timer1_8h.html#ab224e79dc11b32b495bef9f1f169d2d4">kmTimer1Init</a></div><div class="ttdeci">void kmTimer1Init(const uint8_t prescaler, const uint8_t modeA, const uint8_t modeB)</div><div class="ttdoc">Initializes Timer 1 with the specified prescaler and modes.</div><div class="ttdef"><b>Definition:</b> kmTimer1.c:97</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="km_timer1_8h.html">kmTimer1.h</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.15 </li>
  </ul>
</div>
</body>
</html>
